Retrieve a list of payment transactions

This operation allows you to export a list of payment transactions from BTM. You can provide a filter parameter in order to filter for specific payments only. Also the content scope of each payment can be configured in a request.
Note: empty fields will NEVER be returned.

Warning: When using the Payment Export API to retrieve all payments, make sure to exclude HR-related payments if you do not intend to access them. Otherwise, the response will include sensitive HR payment details.

Query Params
string

The search filter can be applied to limit the set of returned objects.
In general a filter string has the form executionDate>2018-01-01&initiator.businessId=93856.
The set of field names that can be used in the filter string is a subset of the JSON fields which are returned in the response.
In the description of the PaymentTransaction result object all fields which are supported in the filter string are marked accordingly.

Supported operators: =, !=, <, >, <=, >=

Multiple conditions can be combined with & (logical AND). Range queries are supported for date and datetime fields:

Filter by execution date range:
filter=executionDate>=2024-08-14&executionDate<=2024-08-20

Filter by incoming time range:
filter=process.incomingTime>=2024-08-14T09:00:00&process.incomingTime<=2024-08-14T09:05:00

string

The fields parameter takes a comma-separated list of "field categories" to control the amount of data that will be returned in the response. If no fields parameter is provided a default data model will be used. See the description of the PaymentTransaction response object to get more details how to use this request parameter.

string

Deprecated: use fields instead.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json